Version 6.7.7 Source
Single Settings

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `item_naming_by` | Select | Item Naming By |
    Item Code
    Naming Series
2 | `item_group` | Link | Default Item Group | Item Group
3 | `stock_uom` | Link | Default Stock UOM | UOM
4 | `column_break_4` | Column Break |  |
5 | `valuation_method` | Select | Default Valuation Method |
    FIFO
    Moving Average
6 | `tolerance` | Float | Allowance Percent Percentage you are allowed to receive or deliver more against the quantity ordered. For example: If you have ordered 100 units. and your Allowance is 10% then you are allowed to receive 110 units. |
7 | `section_break_7` | Section Break |  |
8 | `auto_insert_price_list_rate_if_missing` | Check | Auto insert Price List rate if missing |
9 | `allow_negative_stock` | Check | Allow Negative Stock |
10 | `column_break_10` | Column Break |  |
11 | `automatically_set_serial_nos_based_on_fifo` | Check | Automatically Set Serial Nos based on FIFO |
12 | `auto_material_request` | Section Break | Auto Material Request |
13 | `auto_indent` | Check | Raise Material Request when stock reaches re-order level |
14 | `reorder_email_notify` | Check | Notify by Email on creation of automatic Material Request |
15 | `freeze_stock_entries` | Section Break | Freeze Stock Entries |
16 | `stock_frozen_upto` | Date | Stock Frozen Upto |
17 | `stock_frozen_upto_days` | Int | Freeze Stocks Older Than [Days] |
18 | `stock_auth_role` | Link | Role Allowed to edit frozen stock | Role

### Controller

#### erpnext.stock.doctype.stock_settings.stock_settings

### Class StockSettings

Inherits from frappe.model.document.Document

validate (self)

No docs